| Flutter iOS Embedder |

Instance Methods | Class Methods | Properties | List of all members
PlatformViewFilter Class Reference

`#import <FlutterPlatformViews_Internal.h>`

Inheritance diagram for PlatformViewFilter:

## Instance Methods
(instancetype) | - NS_UNAVAILABLE
(instancetype) | - initWithFrame:blurRadius:cornerRadius:visualEffectView:

## Class Methods
(void) | + resetPreparation

## Properties
CGRect | frame
CGFloat | blurRadius
UIVisualEffectView * | backdropFilterView
CGFloat | cornerRadius

## Detailed Description

Definition at line 86 of file FlutterPlatformViews.mm.

## Method Documentation

## ◆ initWithFrame:blurRadius:cornerRadius:visualEffectView:

- (instancetype) initWithFrame: |  | (CGRect) | frame
blurRadius: |  | (CGFloat) | blurRadius
cornerRadius: |  | (CGFloat) | cornerRadius
visualEffectView: |  | (UIVisualEffectView*) | NS_DESIGNATED_INITIALIZER

Definition at line 93 of file FlutterPlatformViews.mm.

95 :(CGRect)frame
96 blurRadius:(CGFloat)blurRadius
97 cornerRadius:(CGFloat)cornerRadius
98 visualEffectView:(UIVisualEffectView*)visualEffectView {
99 if (self = [super init]) {
100 _frame = frame;
101 _blurRadius = blurRadius;
102 _cornerRadius = cornerRadius;
103 [PlatformViewFilter prepareOnce:visualEffectView];
104 if (![PlatformViewFilter isUIVisualEffectViewImplementationValid]) {
105 FML_DLOG(ERROR) << "Apple's API for UIVisualEffectView changed. Update the implementation to "
106 "access the gaussianBlur CAFilter.";
107 return nil;
108 }
109 _backdropFilterView = visualEffectView;
110 _backdropFilterViewConfigured = NO;
111 }
112 return self;
113 }
PlatformViewFilter
Definition: FlutterPlatformViews.mm:86
PlatformViewFilter::cornerRadius
CGFloat cornerRadius
Definition: FlutterPlatformViews_Internal.h:98
PlatformViewFilter::blurRadius
CGFloat blurRadius
Definition: FlutterPlatformViews_Internal.h:89
PlatformViewFilter::frame
CGRect frame
Definition: FlutterPlatformViews_Internal.h:84

References blurRadius, cornerRadius, and frame.

## ◆ NS_UNAVAILABLE

- (instancetype) NS_UNAVAILABLE |  |  |

## ◆ resetPreparation

+ (void) resetPreparation |  |  |

Definition at line 93 of file FlutterPlatformViews.mm.

115 {
116 _preparedOnce = NO;
117 _gaussianBlurFilter = nil;
118 _indexOfBackdropView = -1;
119 _indexOfVisualEffectSubview = -1;
120 }
_indexOfVisualEffectSubview
static NSInteger _indexOfVisualEffectSubview
Definition: FlutterPlatformViews.mm:92
_indexOfBackdropView
static NSInteger _indexOfBackdropView
Definition: FlutterPlatformViews.mm:90
_preparedOnce
static BOOL _preparedOnce
Definition: FlutterPlatformViews.mm:93
_gaussianBlurFilter
static NSObject * _gaussianBlurFilter
Definition: FlutterPlatformViews.mm:88

## Property Documentation

## ◆ backdropFilterView

- (UIVisualEffectView *) backdropFilterView
| read nonatomic assign

Definition at line 95 of file FlutterPlatformViews_Internal.h.

## ◆ blurRadius

- (CGFloat) blurRadius
| read nonatomic assign

Definition at line 89 of file FlutterPlatformViews_Internal.h.

Referenced by initWithFrame:blurRadius:cornerRadius:visualEffectView:.

## ◆ cornerRadius

- (CGFloat) cornerRadius
| read nonatomic assign

Definition at line 98 of file FlutterPlatformViews_Internal.h.

Referenced by initWithFrame:blurRadius:cornerRadius:visualEffectView:.

## ◆ frame

- (CGRect) frame
| read nonatomic assign

Definition at line 84 of file FlutterPlatformViews_Internal.h.

Referenced by initWithFrame:blurRadius:cornerRadius:visualEffectView:.

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterPlatformViews.mm
- shell/platform/darwin/ios/framework/Source/FlutterPlatformViews_Internal.h